Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #695 (closed defect: worksforme)

Opened 16 years ago

Last modified 13 years ago

channel hopping in master mode - unable to lock channel

Reported by: yanek@ya.bofh.cz Assigned to:
Priority: minor Milestone:
Component: madwifi: other Version: trunk
Keywords: channel lock Cc:
Patch is attached: 0 Pending:

Description

My atheros card still hopping around whole 2.4GHz spectrum. Locking with "iwconfig ath1 channel 2" doesn't help nor "athchans -i ath1 2".

note: Frequency in iwconfig doesn't changing, just in air visible from other cards (ipw2200)

[root@router]-[~]# iwconfig ath1
ath1      IEEE 802.11g  ESSID:"M-45"  
          Mode:Master  Frequency:2.417 GHz  Access Point: 00:0B:6B:37:34:6F   
          Bit Rate:0 kb/s   Tx-Power:15 dBm   Sensitivity=0/3  
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:0000-0012-34   Security mode:restricted
          Power Management:off
          Link Quality=0/94  Signal level=-95 dBm  Noise level=-95 dBm
          Rx invalid nwid:18  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0


[root@aimee]-[~]# ./scan 100 eth1
mac               | essid           | chan | signal | noise | enc | time           | graf                             
-------------------------------------------------------------------------------------------------------------------------
00:0B:6B:37:34:6F | M-45            | 1    |        |       | on  | 43 s 872225 us | #################################
00:0B:6B:37:34:6F | M-45            | 2    |        |       | on  | 43 s 872308 us | #################################
00:0B:6B:37:34:6F | M-45            | 3    |        |       | on  | 43 s 870651 us | #################################
00:0B:6B:37:34:6F | M-45            | 5    |        |       | on  | 43 s 866618 us | #################################
00:0B:6B:37:34:6F | M-45            | 6    |        |       | on  | 43 s 867081 us | #################################
00:0B:6B:37:34:6F | M-45            | 7    |        |       | on  | 43 s 867333 us | #################################


wifi1: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi1: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi1: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi1: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi1: H/W encryption support: WEP AES AES_CCM TKIP
wifi1: mac 5.9 phy 4.3 radio 3.6
wifi1: Use hw queue 1 for WME_AC_BE traffic
wifi1: Use hw queue 0 for WME_AC_BK traffic
wifi1: Use hw queue 2 for WME_AC_VI traffic
wifi1: Use hw queue 3 for WME_AC_VO traffic
wifi1: Use hw queue 8 for CAB traffic
wifi1: Use hw queue 9 for beacons
wifi1: Atheros 5212: mem=0x42000000, irq=9

[root@router]-[~]# uname -a
Linux router 2.6.8-2-686 #1 Tue Aug 16 13:22:48 UTC 2005 i686 GNU/Linux
(debian)

madwifi nighly:
madwifi-ng-r1644-20060614
madwifi-ng-r1518-20060420

# lspci
0000:00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
0000:00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03)
0000:00:0a.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 05)
0000:00:0d.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)
0000:00:0e.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)
0000:00:14.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
0000:00:14.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
0000:00:14.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
0000:00:14.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 02)
0000:01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage Pro AGP 1X/2X (rev 5c)

[root@router]-[~]# iwconfig --version
iwconfig  Wireless-Tools version 28
          Compatible with Wireless Extension v11 to v19.

Kernel    Currently compiled with Wireless Extension v16.

ath0      Recommend Wireless Extension v13 or later,
          Currently compiled with Wireless Extension v16.

ath1      Recommend Wireless Extension v13 or later,
          Currently compiled with Wireless Extension v16.

Change History

06/14/06 15:00:51 changed by strasak@bubakov.net

Never seen behavior like that here, 10+ madwifi/x86/cm9 or cm10 based APs here ,even some based on old pcs with BX chipset , maybe it is hw related - i mean, did ya try it on some other box, could be faulty card or stuff ? We had problems with channel changes in master mode in 5ghz range here on fully equiped - all positions filled with cm9 or cm10 cards - RB14 cards, mostly it could be eliminated by turning diversity off or sometimes by turning bgscan off, anyway, haven't noticed it yet since latest HAL upates.

08/21/06 12:30:23 changed by vergara@inf.fu-berlin.de

I have the same problem with my ubiquiti card in debian and fedora, but only with the ng driver. The old madwifi works perfectly.

09/07/06 19:33:56 changed by mrenzmann

  • priority changed from major to minor.

Possible explanation: the distance between AP and client is very low, so the receiver in the client's card is hit by a very strong signal. In addition, in 2.4 GHz channels are overlapping. These two things combined might lead to the effect that the AP appears to be visible on several (adjacent) channels for the client.

To proof that the AP is NOT hopping around you should use the debug tools to enable messages related to changing the channel, scanning and other actions that involve switching the channel. I'm almost sure this will show the AP is not hopping at all.

Please give a short feedback of whether I'm right or wrong with my assumption.

07/17/07 15:29:44 changed by mtaylor

  • status changed from new to closed.
  • resolution set to worksforme.

This ticket has not been updated in over six months and is being marked as "works for me" automatically.

If the ticket is still applies to the head revision of trunk, please re-open the ticket and provide any additional details needed and progress on the problem to date. Thanks.

04/06/08 02:09:18 changed by aditya@cs.iastate.edu

I use Fedora 7, with kernel 2.6.21, madwifi 0.9.3.3.

I can set up my Linksys WMP55AG to work in AP mode without problems. But when I try to change the channel, the kernel freezes without panic.

iwconfig ath0 channel 6

Any suggestions?

Thank you! :)

01/20/09 00:53:25 changed by tsharples

Same problem here using 0.9.3.3, except crash only happens when changing from a non-turbo channel (e.g. 149) to a turbo channel (e.g. 160) or back. The problem can be circumvented by completely tearing down and rebuilding the interface (wlanconfig etc) between channel changes.

02/14/09 12:11:51 changed by beeth0ven

I have freeze problem too. I'm using madwifi-0.9.4. PC freeze if I try to change channel Any suggestions? Thanks Bye!